﻿using System;
using System.Net;
using System.Linq;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Ink;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using Microsoft.Practices.Prism.Regions;
using Microsoft.Practices.Unity;
using Telerik.Windows.Controls;
using JobRequestModule.Views;

namespace JobRequestModule.ViewModels
{
	public class JobRequestViewModel : ViewModelBase
	{
		public IRegionManager MyRegionManager { get; set; }
		public IUnityContainer Container { get; set; }

		public DelegateCommand ChangeContentCommand { get; set; }

		public JobRequestViewModel()
		{
			this.ChangeContentCommand = new DelegateCommand(new Action<object>((p) => { this.ChangeContent(p); }));
			
		}

		public void ChangeContent(object param)
		{
			if (param.ToString().Contains("1"))
				this.MyRegionManager.Regions["ExpanderRegion"].Activate(this.MyRegionManager.Regions["ExpanderRegion"].Views.FirstOrDefault());
			else
				this.MyRegionManager.Regions["ExpanderRegion"].Activate(this.MyRegionManager.Regions["ExpanderRegion"].Views.LastOrDefault());

		}
	}
}
